    ;; Generic crt0.s for a Z80
        .module crt0
        .globl  _main

    .area _HEADER (ABS)
    ;; Reset vector
;   .org    0
;   jp  init

;   .org    0x08
;   reti
;   .org    0x10
;   reti
;   .org    0x18
;   reti
;   .org    0x20
;   reti
;   .org    0x28
;   reti
;   .org    0x30
;   reti
;   .org    0x38
;   reti
    
    .org    0x9D93
    .db 0xBB, 0x6D
;   ret
;   jr nc, init
;   .db "tisdcc prog", 0
init:
    ld (saved_sp), sp
    di
        ;; Initialise global variables
        call    gsinit
    call    _main
    jp  _exit

    ;; Ordering of segments for the linker.
    .area   _HOME
    .area   _CODE
        .area   _GSINIT
        .area   _GSFINAL
        
    .area   _DATA
        .area   _BSS
        .area   _HEAP

        .area   _CODE
__clock::
;   ld  a,#2
;        rst     0x08
    ret
    
_exit::
    ld sp, (saved_sp)      ;restore stack pointer
    ld iy, #0x89F0
    ei
    ret
saved_sp:
    .ds 2

        .area   _GSINIT
gsinit::    

        .area   _GSFINAL
        ret
    